HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade to 3.10 failed

Vladislav1
Advisor

Upgrade to 3.10 failed

Good day, colleagues.
When I try to update the appliance from 3.00.07 to 3.10.04, an error occurs.

I tried on two different 3.00.07 appliances.

What can I do to successfully update?

 

 

Update appliance to version 3.10.04-0299553
Update appliance failed

 Update appliance

7/20/17  9:49:30 am

1 hour ago

Error49m0s

Start update
Execute pre-snapshot scripts
Shutdown services
Execute pre-update scripts
Install packages
Execute post-update scripts
Reboot appliance
Update database
Startup services
Reverting the appliance to pre-update version
Update failed

1.    Issue

 

Update operation failed while starting services.

Resolution

 

Download the support dump file created by the appliance, and contact your authorized support representative for further analysis.

27 REPLIES
ChrisLynchHPE
Neighborhood Moderator

Re: Upgrade to 3.10 failed

Do you have HPSUT, OneView GlobalDashboard and/or CloudSystem in use within your environment?  If so, please open a support case in order to resolve this before attempting to update your appliances again.

Baptt
Occasional Visitor

Re: Upgrade to 3.10 failed

Same issue, from  3.00.05-0271823 to 3.00.08 & 3.10. I've an active global dashboard. 

Vladislav1
Advisor

Re: Upgrade to 3.10 failed

Chris,
Yes, we have GlobalDashboard.
The first appliance, test, to the GlobalDashboard is not connected.
The second, productive, connected to the GlobalDashboard.
Already tried to open the case - while they refuse. They want a support contract number. We have are licenses for OneView Advanced, which converted from InsightControl licensed.

peyrache
Trusted Contributor

Re: Upgrade to 3.10 failed

Hi
Please open a case to HPE services
JY
Vladislav1
Advisor

Re: Upgrade to 3.10 failed

Again, the support of HPE does not want to open the case, says want SAID..

peyrache
Trusted Contributor

Re: Upgrade to 3.10 failed

Do you have any hardware under warrantly (managed/monitored by OV) ?
JY
ChrisLynchHPE
Neighborhood Moderator

Re: Upgrade to 3.10 failed

You will need your Support Agreement ID (SAID).  Any HPE OneView Advanced customers have 3 year support, so you absolutely should have the ability to open a support case.  Unfortuntely, to resolve this issue, it will require a support case elevated to Level 2 to help resolve the issue.

vrivoire
Occasional Collector

Re: Upgrade to 3.10 failed

Same issue for me. Upgrade to OV 3.1 or 3.0.8 is failing. I'm also using GD 1.2.

Support case is open.

Vladislav1
Advisor

Re: Upgrade to 3.10 failed

> Do you have any hardware under warrantly (managed/monitored by OV) ?

Yes, we have a lot in the monitoring. For the manage, we are planning.

Vladislav1
Advisor

Re: Upgrade to 3.10 failed

You will need your Support Agreement ID (SAID).  Any HPE OneView Advanced customers have 3 year support, so you absolutely should have the ability to open a support case.

We have a license of OneView Advanced, but it is obtained from conversion from license InsightControl. Along with it, SAID was not issued. We are solving the issue, but it is not clear by the time.
Are there possible scenarios for resolving the issue for self-verification?

ChrisLynchHPE
Neighborhood Moderator

Re: Upgrade to 3.10 failed

@Vladislav1

I sent you a Private Message asking for some information from you.  Please reply to that so I can help you further.  Without a Sales Order, it is not possible to help.  And I don't want you posting that information on a public forum, as that is sensative customer data.

Vladislav1
Advisor

Re: Upgrade to 3.10 failed

Chris,
Our ASM told us SAID. The case was opened.
It's a massive problem, right?

Tan_Foo_Siang
Occasional Advisor

Re: Upgrade to 3.10 failed

With the problems that people are facing right now after the upgrade to 3.1, it is probably better not to upgrade for the time being until the problems are resolved.

ChrisLynchHPE
Neighborhood Moderator

Re: Upgrade to 3.10 failed

@Vladislav1,

No.  We see this issue in certain cases, and we are advising customers that experience this particular issue to please open a support case to help resolve.  We are working on a Customer Advisory and hotfix to address this particular issue.

@Tan_Foo_Siang,

No, I would not advise that.  The majority of customers we have seen that have upgraded did not experience this condition.  So no, this is NOT a wide spread issue.  Specific conditions must exist for this ""45-minute upgrade failure" to occur.

Bart_Heungens
Honored Contributor

Re: Upgrade to 3.10 failed

As far it might help, I did meanwhile 3 succesfull OV upgrades to 3.10 from 3.0x...

One thing I always do before any upgrade (learned this from the upgrades in versions 1;x and 2.x is to reboot the OV appliance before doing actually the upgrade... And of course make a backup...

--------------------------------------------------------------------------------
If my post was useful, clik on my KUDOS! "White Star" !
ChrisLynchHPE
Neighborhood Moderator

Re: Upgrade to 3.10 failed

Thanks for your input Bart. We are glad you have successfully updated customers appliances.

Unfortunately, with a 3.00.x appliance, even a reboot may trigger the scenario that some folks have reported during an upgrade, but with an Oops screen. Please know that we are working on a CA and hotfix to address this in the short term and have a patch to address longer term. As I stated above, if you run into this please open a support case, and elevate it to Level 2 in the meantime.

I will update this thread once the CA and hotfix is available.

Sent from my Windows 10 phone
Vladislav1
Advisor

Re: Upgrade to 3.10 failed

>One thing I always do before any upgrade (learned this from the upgrades in versions 1;x and 2.x is to reboot the OV appliance before doing actually the upgrade... 

Unfortunately the preliminary reboot does not help

peyrache
Trusted Contributor

Re: Upgrade to 3.10 failed

Was is error message ( database error ?)
JY
Vladislav1
Advisor

Re: Upgrade to 3.10 failed

Peyrache,

An example of an error is given at the beginning of the post.

vrivoire
Occasional Collector

Re: Upgrade to 3.10 failed

HPE L2 support just fixed the issue on my homologation appliance (SH script to fix the huge session count in the PostgreSQL DB).

The thing is I have 8 appliances to upgrade. Allready checked 4 of them and they have the issue :-(

Hope the fix release will be fast.

ChrisLynchHPE
Neighborhood Moderator

Re: Upgrade to 3.10 failed

We are working towards a hotfix, as I mentioned, that would eleviate the need to work with L2 support in order to remediate this issue.  As I also stated, I will update this thread, or even create a new sticky thread with the details of the hotfix and accompanying CA.

Vladislav1
Advisor

Re: Upgrade to 3.10 failed

The removal of old hung sessions helped (now there are more than 20000+ on each applainces), plus it was necessary to delete the signed certificate and create a self-signed certificate. Only after this update was successful.

ChrisLynchHPE
Neighborhood Moderator

Re: Upgrade to 3.10 failed

I'm glad you were able to get your upgrade issue resolved.  As I stated above, I will be posting a sticky thread in the forums with the link to the CA once it has finished publishing.

Johan_Stridh
Occasional Visitor

Re: Upgrade to 3.10 failed

Having same problem with upgrading to 3.10

Johan_Stridh_SWE